Subject: [bug#72925] [PATCH v10] gnu: Add jpm.

From: Omar Bassam <[email-masked]>
Date: Wed, 09 Oct 2024 14:58:26 +0300

Suhail Singh <[email-masked]> writes:

> Omar Bassam <[email-masked]> writes:
>
>> Can you give me an example of what guix shell commands I need to run to
>> test these.
>
> I already have.

Yes, sorry I thought you were going to use other commands to test these
C*PATH variables.

>
> Given a profile containing only bash, coreutils-minimal, and nss-certs,
> one can launch an interactive shell via snippet I shared in
> <https://yhetil.org/guix/[email-masked]/>.  Having done so
> they can navigate to /tmp and test jpm by using it to install packages
> locally as noted in
> <https://yhetil.org/guix/[email-masked]/>.
>
> I don't understand what's unclear.

It's clear now, thanks. I've tested v12 and it works without any issues
for both the "jpm install" and the "jpm build command".

Many Thanks,
Omar